SPHINX_JSGF2FSG(1)

NAME
sphinx_jsgf2fsg - Convert JSGF grammar to Sphinx FSG file

SYNOPSIS
sphinx_jsgf2fsg [ < jsgf-file ] [ > output-file ]

DESCRIPTION

This program reads a JSGF grammar file and outputs a Sphinx finite-state grammar file. If no files are given, it reads from standard input and writes to standard output.

The FSG is generated from the first public rule in the input file.

AUTHOR
David Huggins-Daines <dhuggins@cs.cmu.edu>

COPYRIGHT
Copyright © 2007-2008 Carnegie Mellon University. See the file COPYING included with this package for more information.